<h1>Welcome to our awesome site!</h1>
<div class="form-all">
  <div class="form-wrapper">
    <form [formGroup]="loginForm" (ngSubmit)="loginUser()">
    <h2>Add Helicopter</h2>
      <br>
      <div class="form-item">
        <label>Helicopter's name</label>
        <br>
        <input
         type="text"
         id="username"
         class="form-input"
         formControlName="username"
         [(ngModel)]="username"
        >
        <p class="error-message" *ngIf="!loginForm.get('username').valid && loginForm.get('username').touched">
          Please, enter your username!
        </p>
      </div>
      <div class="form-item">
        <label>Model</label>
        <br>
        <input
          type="text"
          id="model"
          class="form-input"
          formControlName="model"
        >
        <p class="error-message" *ngIf="!loginForm.get('model').valid && loginForm.get('model').touched">
          Please, enter your username!
        </p>
      </div>
      <div class="form-item">

        <button
          (click)="login()"
          type="submit"
          id="loginBtn"
          [disabled]="!loginForm.valid"
        >
          Add
        </button>

      </div>
    </form>
  </div>
</div>
